local M = {}

local htmlTexture = require("htmlTexture")
local floor = math.floor

local invPascalToPSI = 0.00014503773773 

local function init()
	htmlTexture.create("@scintgt3_screen", "local://local/vehicles/scintilla/scintillagt3_screen.html", 512, 256, 30, 'automatic')
	htmlTexture.call("@scintgt3_screen", "init")
end

local function updateGFX(dt)
	local data = {
		gear = electrics.values.gearIndex,
		rpm = floor(electrics.values.rpm),
		speed = floor(electrics.values.wheelspeed * 3.6),
		oilTemp = floor(electrics.values.oiltemp),
		engineTemp = floor(electrics.values.watertemp),
		brakesTemperature = {},
		tirePressures = {}
	}

	for _, wd in pairs(wheels.wheels) do
		data.brakesTemperature[wd.name] = floor(wd.brakeCoreTemperature)
		data.tirePressures[wd.name] = round((obj:getGroupPressure(v.data.pressureGroups[wd.pressureGroup]) - obj:getEnvPressure()) * invPascalToPSI * 10) / 10
	end

	htmlTexture.call("@scintgt3_screen", "update", data)
end

M.init    = init
M.updateGFX = updateGFX

return M
