local M = {} -- Author: _N_S_

local htmlTexture = require("htmlTexture")

local debug = false

local settings = {
	textureName = "@digidash_screen",
	height = 128,
	width = 384
}

local timeMs = 0;
local timerIsEnabled = false

local function init()
	if debug then print("init") end
	htmlTexture.create(settings.textureName, "local://local/vehicles/scintilla/digidash_screen.html", settings.width, settings.height, 30, "automatic")
	htmlTexture.call(settings.textureName, "init", settings)
	htmlTexture.call(settings.textureName, "setTime", timeMs)
end

local function gt3_timer_pause_resume()
	if debug then print("gt3_timer_pause_resume") end
	timerIsEnabled = not timerIsEnabled
end

local function gt3_timer_reset()
	if debug then print("gt3_timer_reset") end
	timerIsEnabled = false
	timeMs = 0
	htmlTexture.call(settings.textureName, "setTime", timeMs)
end

local function updateGFX(dt)
	if timerIsEnabled then
		timeMs = timeMs + dt * 1000
		if debug then print("timeMs = " .. timeMs) end
		htmlTexture.call(settings.textureName, "setTime", timeMs)
	end
end

M.init = init
M.reset = gt3_timer_reset
M.gt3_timer_pause_resume = gt3_timer_pause_resume
M.gt3_timer_reset = gt3_timer_reset
M.updateGFX = updateGFX
return M